#### D.13.2.10 containsAsFace

Procedure from library `gfan.lib` (see gfan_lib).

Usage:
  containsAsFace(c,d); c cone, d cone

Return:
  1, if d is a face of c; 0 otherwise

Example:

    LIB "gfan.lib";
    intmat M[2][2]=
    1,0,
    0,1;
    cone c=coneViaPoints(M);
    intmat N1[1][2]=
    1,1;
    cone d1=coneViaPoints(N1);
    containsInSupport(c,d1);
    ==> 1
    containsAsFace(c,d1);
    ==> 0
    intmat N2[1][2]=
    0,1;
    cone d2=coneViaPoints(N2);
    containsInSupport(c,d2);
    ==> 1
    containsAsFace(c,d2);
    ==> 1

User manual for Singular version 4.4.1, 2025, generated by texi2html.